Qt 5.9 | Qt Serial Port | C++ Classes | QSerialPortInfo

Qt 5.9.4 Reference Documentation

# Obsolete Members for QSerialPortInfo

The following members of class QSerialPortInfo are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` bool | isValid() const

## Member Function Documentation

### bool QSerialPortInfo::isValid() const

Returns `true` if serial port is present on system; otherwise returns `false`.

See also isNull() and isBusy().